"""django_test_project URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import include, path

from . import views

urlpatterns = [
    path("admin/", admin.site.urls),
    path("auth/openid/", include("simple_openid_connect_django.urls")),
    path("default-after-login/", views.default_after_login, name="default-after-login"),
    path("test-protected-view/", views.test_protected_view, name="test-protected-view"),
    path(
        "access-token-protected-view/",
        views.test_access_token_view,
        name="access-token-protected-view",
    ),
    path("__debug__/", include("debug_toolbar.urls")),
]
